import router from '../router'
import { ElMessage } from 'element-plus'
import { getToken } from './auth'
import store from '../store'

//  路由判断登录 根据路由配置文件的参数
router.beforeEach((to, from, next) => {
    //  to,将要访问的路径
    // from  从哪个路径跳转过来的
    // next 是一个函数,代表放行
    // document.title = `${to.meta.title} | 全业务域对标考评系统`
    document.title = "全业务域对标考评系统"

    let token = window.localStorage.getItem('token')

    if(to.path==='/login'){
        return next()
    }else{
        if(!token){
            ElMessage.error('登录已失效，请重新登录');
            store.commit('clearAxiosArr')
            return next('/login')
        } else if (to.path==='/') {
            store.commit('clearAxiosArr')
            return next('/login')
        } else{
            store.commit('clearAxiosArr')
            next()
        }
    }
    
    // return next()
})